package com.sunxung.factoring.entity.salescontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

import java.util.List;

/**
 * <p>
 * 销售合同变更基础信息表
 * </p>
 *
 * @author yafan
 * @since 2023-12-12
 */
@TableName("c_sales_contract_supplement_basic_info")
public class CSalesContractSupplementBasicInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 补充合同编号
     */
    @TableField("supplement_contract_number")
    private String supplementContractNumber;

    /**
     * 销售合同变更信息表Id
     */
    @TableField("c_sales_contract_supplement_info_id")
    private Long cSalesContractSupplementInfoId;

    /**
     * 是否新增货物， 1:是,0:否
     */
    @TableField("is_add_goods")
    private Integer addGoods;

    /**
     * 说明
     */
    @TableField("remark")
    private String remark;

    /**
     * 文件id
     */
    @TableField(exist = false)
    private List<Long> fileIds;

    /**
     * 货物信息
     */
    @TableField(exist = false)
    private List<SalesContractSupplementGoodsInfo> supplementGoodsInfos;

    @TableField(exist = false)
    private Long cSalesContractManagementId;

    public String getSupplementContractNumber() {
        return supplementContractNumber;
    }

    public void setSupplementContractNumber(String supplementContractNumber) {
        this.supplementContractNumber = supplementContractNumber;
    }

    public Long getcSalesContractSupplementInfoId() {
        return cSalesContractSupplementInfoId;
    }

    public void setcSalesContractSupplementInfoId(Long cSalesContractSupplementInfoId) {
        this.cSalesContractSupplementInfoId = cSalesContractSupplementInfoId;
    }

    public Integer getAddGoods() {
        return addGoods;
    }

    public void setAddGoods(Integer addGoods) {
        this.addGoods = addGoods;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public List<Long> getFileIds() {
        return fileIds;
    }

    public void setFileIds(List<Long> fileIds) {
        this.fileIds = fileIds;
    }

    public List<SalesContractSupplementGoodsInfo> getSupplementGoodsInfos() {
        return supplementGoodsInfos;
    }

    public void setSupplementGoodsInfos(List<SalesContractSupplementGoodsInfo> supplementGoodsInfos) {
        this.supplementGoodsInfos = supplementGoodsInfos;
    }

    public Long getcSalesContractManagementId() {
        return cSalesContractManagementId;
    }

    public void setcSalesContractManagementId(Long cSalesContractManagementId) {
        this.cSalesContractManagementId = cSalesContractManagementId;
    }

    @Override
    public String toString() {
        return "CSalesContractSupplementBasicInfo{" +
                ", supplementContractNumber=" + supplementContractNumber +
                ", cSalesContractSupplementInfoId=" + cSalesContractSupplementInfoId +
                ", remark=" + remark +
                "}";
    }
}
